Subject: Re: [PATCH v2] contrib: git-cpcover: copy cover letter

From: Denton Liu <[email-masked]>
Date: Tue, 3 Dec 2019 22:58:46 -0800

Hi Michael,

As others have been talking about in a sibling thread, I'd love to see
something like this incorporated into format-patch itself. I considered
doing something like this myself but my workflow ended up becoming "good
enough" with --cover-from-description that I never bothered to look into
it further.

On Tue, Dec 03, 2019 at 03:13:27PM -0500, Michael S. Tsirkin wrote:
> My flow looks like this:
> 1. git format-patch -v<n> --cover-letter <params> -o <dir>
> 2. vi <dir>/v<n-1>-0000-cover-letter.patch <dir>/v<n>-0000-cover-letter.patch
> 
> copy subject and blurb, avoiding patchset stats
> 
> 3. add changelog update blurb as appropriate
> 
> 4. git send-email <dir>/v<n>-*
> 
> The following perl script automates step 2 above.  Hacked together
> rather quickly, so I'm only proposing it for contrib for now.  If others
> see the need, we can add docs, tests and move it to git proper.
> 
> Signed-off-by: Michael S. Tsirkin <[email-masked]>
> ---
> 
> Fixes from v1: support multi-line To/Cc headers.
> 
> Any feedback on this? Interest in taking this into contrib/ for now?

I took a brief look at it and I have one small suggestion. Would it be
possible to grab the last Message-Id and use it to generate the
In-Reply-To header using this?

Thanks,

Denton